Skip to main content
POST
/
api
/
v1
/
wallet
/
balance
/
payout
/
quote
/
submit
Activate payout quote
curl --request POST \
  --url https://api.hevn.finance/api/v1/wallet/balance/payout/quote/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quoteId": "<string>"
}
'
{
  "transferId": "<string>",
  "status": "<string>",
  "quoteId": "<string>",
  "depositAddress": "<string>",
  "depositAmount": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Body

application/json

Request to activate a payout quote.

quoteId
string
required
contactId
string<uuid> | null
bankAccountId
string<uuid> | null
amount
number | null
destinationChainId
string | null
toCurrency
string | null

Response

Successful Response

Response after activating a payout quote.

transferId
string
required
status
string
required
quoteId
string
required
depositAddress
string | null
depositAmount
string | null